# -*- coding: utf-8 -*-

from ..utils import *


class bloco_f(TrackedAttributesClass):
    """
        BLOCO F: DEMAIS DOCUMENTOS E OPERAÇÕES
        Neste bloco serão informadas pela pessoa jurídica, as demais operações geradoras de contribuição ou de crédito, não
        informadas nos Blocos A, C e D, conforme tabela abaixo
    """


    class registro_F001(TrackedAttributesClass):
        """
        REGISTRO F001: ABERTURA DO BLOCO F

        """
        _order = []

        def __init__(self):
            super(bloco_f.registro_F001, self).__init__()
            self.REG = 'F001'  # Texto fixo contendo
            self.nivel_h = 1  # nível
            self.pai = '0000'
            self.ocorrencia = '1'  # ocorrência por arquivo
            self.IND_MOV = ''
            self.fieldnames = ('REG', 'IND_MOV')
            self.formato = self.get_formato()


    class registro_F990(TrackedAttributesClass):
        """
        REGISTRO F990: ENCERRAMENTO DO BLOCO F
        Este registro destina-se a identificar o encerramento do Bloco F e a informar a quantidade de linhas (registros)
        existentes no bloco.
        """
        _order = []

        def __init__(self):
            super(bloco_f.registro_F990, self).__init__()
            self.REG = 'F990'  # Texto fixo contendo
            self.nivel_h = 1  # nível
            self.pai = '0000'
            self.ocorrencia = '1'  # ocorrência por arquivo
            self.QTD_LIN_F = ''
            self.fieldnames = ('REG', 'QTD_LIN_F')
            self.formato = self.get_formato()
